### Method

# Gegl BufferIteratornext

#### Declaration [src]

    gboolean
    gegl_buffer_iterator_next (
      GeglBufferIterator* iterator
    )

#### Description [src]

Do an iteration, this causes a new set of iterator->data[] to become available if there is more data to process. Changed data from a previous iteration step will also be saved now. When there is no more data to be processed FALSE will be returned (and the iterator handle is no longer valid).

This method is not directly available to language bindings.

#### Return value

Type: `gboolean`

TRUE if there is more work FALSE if iteration is complete.